/*
 * Copyright (c) 2005 Mellanox Technologies.  All rights reserved.
 *
 * This software is available to you under the OpenIB.org BSD license
 * below:
 *
 *     Redistribution and use in source and binary forms, with or
 *     without modification, are permitted provided that the following
 *     conditions are met:
 *
 *      - Redistributions of source code must retain the above
 *        copyright notice, this list of conditions and the following
 *        disclaimer.
 *
 *      - Redistributions in binary form must reproduce the above
 *        copyright notice, this list of conditions and the following
 *        disclaimer in the documentation and/or other materials
 *        provided with the distribution.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 * $Id: ip_packet.h 47 2005-05-30 18:00:40Z sleybo $
 */

#ifndef _IP_ADDRESSES_H_
#define _IP_ADDRESSES_H_

#include <ip_addresses_shared.h>

NDIS_STATUS ipoib_driver_up(
    NDIS_HANDLE  ndis_wrapper_handle
    );

void ipoib_driver_unload();
    
//VOID dregister_device();

NDIS_STATUS ipoib_add_adapter(ipoib_adapter_t	*p_adapter);

VOID ipoib_remove_adapter(ipoib_adapter_t	*p_adapter);


#endif	/* _IP_ADDRESSES_H_ */
